Subject: Re: Brief review of the MacViewHZ program

From: Xiaodong Chen <[email-masked]>
Date: Thu, 29 Apr 1993 19:09:12 PDT

I want to thank Z. Sun for his review of MacViewHZ, and make a few
corrections and clarification.
1. The reason that I wrote MacViewHZ is that I often like to see the end
or a later part of a long gb file and MacHanzi will only let you go from
the first screen to the last one scren at a time and it takes a long time
and a lot of mouse click or menu selection "next". (There is no "previous"
selection, only "first" which start all over again.)  Other than that, I
think MacHanzi is a really nice program.  I delibrately kept most of the
menu structure of MacHanzi, so MacHanzi users will feel at ease using the
new MacViewHZ and I don't have to write long readme file. MacViewHZ does
have an option of loading either GB or BIG5 dictionary, like in MacHani.
If you only have one font file in the same folder with MacViewHZ, the menu
selection for that font will be checked and the other one will be dimmed.
2. I really don't want to implement the vertical display because then I
have to make scroll control from right to left, which seems to me will be
very strange on Mac.
3. I don't think I made it clear in the readme file about the newziku.24
and caused some confusion. I will try again:
        The newziku.24 font file is used in printing only!
and you must have cclib.16 to view or print GB file. When printing if you
have the newziku.24 (in the same folder with cclib.16 and MacViewHZ),
MacViewHZ will use it to give you high resolution printout. if you don't
have it, MacViewHZ will use cclib.16 to give you low resolution printout.
Follow Sun's procedure will give the file cclib.16 a nice dictionary icon,
but is not mandatory for you to get high resolution printout.
The bottomline is: you need cclib.16 to use MacViewHZ although it's not in
the package.

Thanks again to Z. Sun and many users for sending me bug reports and
comments. I am working on a new version to add HZ format reading
capability and it will probably come out next week.

Xiaodong Chen